### Function

# EDataServerUI trust_prompt_run_for_source_finish

since: 3.16

#### Declaration [src]

    gboolean
    e_trust_prompt_run_for_source_finish (
      ESource* source,
      GAsyncResult* result,
      ETrustPromptResponse* response,
      GError** error
    )

#### Description [src]

Finishes the operation started with e_trust_prompt_run_for_source(). The `response` will contain a code of the user’s choice. The #E_TRUST_PROMPT_RESPONSE_UNKNOWN is used, when the user cancelled the trust prompt dialog and no changes are made with the `source`.

If an error occurs, the function sets `error` and returns `FALSE`.

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource` which was used with e_trust_prompt_run_for_source().

  The data is owned by the caller of the function.

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`response`

  Type: `ETrustPromptResponse`

  An output argument, user’s response to the trust prompt.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.